Subject: Bug#4254: msql config problems

From: "Brian C. White" <[email-masked]>
Date: Fri, 23 Aug 1996 15:57:28 -0400

Package: msqld
Version: 1.0.16-2

After upgrading from v1.0.14...

The /var/log/msql directory is:

drwxr-x---   2 operator msql         1024 Aug 23 15:11 /var/log/msql/

It should be owned by "root.msql" and have the permissions "775".

The /etc/msql.acl file is:

-rwx------   1 operator msql          300 Aug 23 15:08 /etc/msql.acl*

It should be owned by "msql.msql" and have the permissions "775".

*** The install script removed the existing "msql.acl" file I had made.
Good thing I make backups!

Fixing these and restarting using "/etc/init.d/msqld start" gives
the following error (repeatedly)...

>Subject:        Minerva Daemon Crash Report
>   Date:        Fri, 23 Aug 96 15:46 EDT
>   From:        msql (Mini SQL Database Manager)
>     To:        root
>
>
>Program : msqld
>Time : Fri Aug 23 15:46:58 EDT 1996
>Program Output
>--------------
>
>
>Can't start server : UNIX Bind : Permission denied
>
>
>mSQL Server 1.0.16 starting ...

The unix socket is:

srwxrwxrwx   1 root     root            0 Aug 21 15:52 /dev/msql=

This should probably be owned by "root.msql", but shouldn't be the
cause of this problem.

Trying to stop these repeated message by doing "/etc/init.d/msqld stop"
gives the following error:

callandor:/etc# /etc/init.d/msqld stop
ERROR : Can't connect to local MSQL server
rm: /var/run/msqld/shutdown: Permission denied
rm: /var/run/msqld/shutdown: Permission denied

The shutdown file is:

-rw-r-----   1 root     root            5 Aug 23 15:52 /var/run/msqld/shutdown

Since I ran the stop command as root, the only thing I can think of here
is that something is running as user/group "msql" and could thus not access
the shutdown file.

                                        Brian
                               ( [email-masked] )

-------------------------------------------------------------------------------
    In theory, theory and practice are the same.  In practice, they're not.